#pragma once


class SoundGroup {
		// ma_sound_group sound_group_storage;
	public:
		ma_sound_group* sound_group;
		std::string name;
		float vol = 1.0f;

		SoundGroup() = default;
		SoundGroup(ma_engine* engine, ma_sound_group* parent_group);

		SoundGroup(ma_sound_group* _sound_group);

		void set_volume(float linear_volume);

		// ~ShinobuSoundGroup() {
		// 	ma_sound_group_uninit(sound_group);
		// 	delete sound_group;
		// }
};
